/* stylelint-disable selector-class-pattern, selector-no-qualifying-type */
@charset "UTF-8";

@keyframes pulse {
  0% {
    transform: scale(0.9);
  }

  70% {
    box-shadow: 0 0 0 50px rgba(255, 153, 0, 0);
    transform: scale(1);
  }

  100% {
    box-shadow: 0 0 0 0 rgba(255, 153, 0, 0);
    transform: scale(0.9);
  }
}

a:focus {
  outline-color: #2054a2;
}

button:focus {
  outline-color: #2054a2;
}

input[type="text"]:focus {
  outline-color: #2054a2;
}

.firstGuide .pulse-button {
  background: #111111;
}

.tips__header {
  color: #111111;
}

.header__logoImage {
  background: url("/images/logos/lba-dark.svg") no-repeat center;
  height: 32px;
  background-size: contain;
  margin-left: -2px; /* ロゴの左右の余白を調整 */
}

.searchInput__textField:hover,
.searchInput__textField:focus {
  border-color: #111111;
}

.searchInput__textField:disabled:focus {
  border-color: #111111;
}

.searchInput__button {
  background: #111111;
  border-color: #111111;
}

.searchInput__button:hover,
.searchInput__button:focus {
  background: #111111;
  border-color: #111111;
}

.searchInput__button:disabled {
  background: #111111;
  border: 1px solid #111111;
}

.bookMeta__item.is-active .bookMeta__link::after {
  background-color: #111111;
  width: 100%;
}

.loader__line {
  background-color: #111111;
}

.searchOrder__select {
  background-image: url("data:image/svg+xml;utf8,<svg fill='none' height='14' viewBox='0 0 12 14' width='12' xmlns='http://www.w3.org/2000/svg'><path d='m.999999 5.5 5.000001 5 5-5' stroke='%23111111'/></svg>");
}

.removeDialog__button:hover {
  border: 1px solid #111111;
}

.outlinedButton {
  &:hover,
  &:focus-visible {
    border: 1px solid #111111;
  }

  &:disabled {
    border: 1px solid #ddd;
  }
}

.primaryButton {
  background: #111111;

  &:hover,
  &:focus-visible {
    background: #111111;
  }
}

.textInputCore {
  &:focus {
    outline-color: #111111;
  }
}

.textareaCore {
  &:focus {
    outline-color: #111111;
  }
}

.manageListDialog__listItem--addButton {
  &:hover,
  &:focus-visible {
    border-color: #111111;
  }
}

.manageListDialog__listItem--checkIcon {
  fill: #111111;
}
